BreitWigner (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.BreitWigner class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random
Class BreitWigner

    java.lang.Object
      cern.colt.PersistentObject
          cern.jet.random.AbstractDistribution
              cern.jet.random.AbstractContinousDistribution
                  cern.jet.random.BreitWigner

All Implemented Interfaces:
  Cloneable, DoubleFunction, IntFunction, Serializable

Direct Known Subclasses:
  BreitWignerMeanSquare

public class BreitWigner
extends AbstractContinousDistribution

BreitWigner (aka Lorentz) distribution; See the math definition. A more general form of the Cauchy distribution.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation: This is a port of RandBreitWigner used in CLHEP 1.4.0 (C++).

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`BreitWigner(double mean, double gamma, double cut, RandomEngine randomGenerator)` Constructs a BreitWigner distribution.

Method Summary
`double` | `nextDouble()` Returns a random number from the distribution.
`double` | `nextDouble(double mean, double gamma, double cut)` Returns a random number from the distribution; bypasses the internal state.
`void` | `setState(double mean, double gamma, double cut)` Sets the mean, gamma and cut parameters.
`static double` | `staticNextDouble(double mean, double gamma, double cut)` Returns a random number from the distribution.
`String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class cern.jet.random.AbstractDistribution
`apply, apply, clone, makeDefaultGenerator, nextInt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BreitWigner

    public BreitWigner(double mean,
                       double gamma,
                       double cut,
                       RandomEngine randomGenerator)

  Constructs a BreitWigner distribution.

Parameters:
  `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDouble

    public double nextDouble(double mean,
                             double gamma,
                             double cut)

  Returns a random number from the distribution; bypasses the internal state.

  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

### setState

    public void setState(double mean,
                         double gamma,
                         double cut)

  Sets the mean, gamma and cut parameters.

  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

### staticNextDouble

    public static double staticNextDouble(double mean,
                                          double gamma,
                                          double cut)

  Returns a random number from the distribution.

  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

### toString

    public String toString()

  Returns a String representation of the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage